Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82701 - /bin/ls w/ wildcard ignores large files
Summary: /bin/ls w/ wildcard ignores large files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Bill Huang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-25 00:28 UTC by Sheridan J. Adams
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-06 20:08:02 UTC


Attachments (Terms of Use)

Description Sheridan J. Adams 2003-01-25 00:28:56 UTC
Description of problem: ls -l * in a directory where files greated than 2GB 
reside results in those file not being displayed.  Could be similar to bug # 
73877, except this is on large files, not NFS files.


Version-Release number of selected component (if applicable):
tcsh-6.10-6


How reproducible:
all the time

Steps to Reproduce:
1.create a file greater than 2GB
2.do an ls -l using a wildcard that should normally see the file
3.file does not appear in list
    
Actual results:
$ /bin/ls -l
total 8373404
-rw-r--r--    1 sja      sja      7157709807 Nov  2  2001 dosbackup.011102.gz
drwxr-x---    2 root     root        16384 Dec  4  2001 lost+found
drwxr-x---   14 sja      root         4096 Jan 24 15:10 sja
-rw-r-----    1 sja      root     1408247661 Nov  2  2001 Starbackup.011102.gz
$

$ /bin/ls -l *.gz
-rw-r-----    1 sja      root     1408247661 Nov  2  2001 Starbackup.011102.gz

$ bash
# /bin/ls -l *.gz
-rw-r--r--    1 sja      sja      7157709807 Nov  2  2001 dosbackup.011102.gz
-rw-r-----    1 sja      root     1408247661 Nov  2  2001 Starbackup.011102.gz
# exit
$

Expected results:
Files greater than 2GB should be displayed

Additional info:
only affects tcsh, bash works fine.

Comment 1 Bill Nottingham 2003-02-06 20:08:02 UTC
This should be fixed in the tcsh in 8.0.


Note You need to log in before you can comment on or make changes to this bug.